package com.iohao.mmo.person.entity;

import com.iohao.mmo.hero.service.HeroService;
import com.iohao.mmo.person.service.PersonService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.mongodb.core.MongoTemplate;

/**
 * @author 渔民小镇
 * @date 2023-07-26
 */
@Slf4j
@SpringBootTest
public class PersonTest {
    @Resource
    MongoTemplate mongoTemplate;
    @Resource
    HeroService heroService;
    @Resource
    PersonService personService;

    @Test
    void testHero() {
        Hero firstHero = heroService.getFirstHero();
        log.info("firstHero : {}", firstHero);
    }
    
    @Test
    void testPerson() {
        long userId = 1;
        personService.initPerson(userId);
        Person personById = personService.getPersonById(userId);

        log.info("personById : {}", personById);
    }
}